6.0.0-git
2016-12-03

[#8376] vacation allows empty subject/reason
Summary vacation allows empty subject/reason
Queue Ingo
Queue Version 1.2.1
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester crohmann (at) netcologne (dot) de
Created 2009-06-25 (2718 days ago)
Due
Updated 2013-01-24 (1409 days ago)
Assigned 2009-06-28 (2715 days ago)
Resolved 2013-01-24 (1409 days ago)
Milestone
Patch Yes

History
2013-01-24 01:08:06 Michael Slusarz Comment #3
Assigned to Michael Slusarz
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Reply to this comment
Ingo 3.0.3.
2013-01-24 01:07:57 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit faf21c14a3a43cfb556320bbcb15cc0ba9182156
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Jan 23 18:06:28 2013 -0700

     [mms] Require non-empty subject and reason fields when creating a 
vacation message (crohmann@netcologne.de; Request #8376).

  ingo/docs/CHANGES          |    2 ++
  ingo/lib/Form/Vacation.php |    4 ++--
  ingo/package.xml           |    2 ++
  3 files changed, 6 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/faf21c14a3a43cfb556320bbcb15cc0ba9182156
2009-06-28 16:22:38 Chuck Hagenbuch Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2009-06-25 08:11:00 crohmann (at) netcologne (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ vacation allows empty subject/reason
Queue ⇒ Ingo
Milestone ⇒
Patch ⇒ Yes
New Attachment: vacation_must_subject_reason.diff Download
Reply to this comment
A user can just click on vacation and then press activate without even 
entering ANY information. This leads to unwanted mail junk without the 
user even noticing.



The attached patch sets the fields "subject" and "reason" as MUST enter.

One might argue that now there always has to be text in those fields 
even though the rule is not enabled. Otherwise there had to be more 
code to check for things, this patch does not change much.

Saved Queries